class neutron::params {

  if($::osfamily == 'Redhat') {
    $package_name       = 'openstack-neutron'
    $server_package     = false
    $server_service     = 'neutron-server'

    $ovs_agent_package   = false
    $ovs_agent_service   = 'neutron-openvswitch-agent'
    $ovs_server_package  = 'openstack-neutron-openvswitch'
    $ovs_cleanup_service = 'neutron-ovs-cleanup'

    $linuxbridge_agent_package  = false
    $linuxbridge_agent_service  = 'neutron-linuxbridge-agent'
    $linuxbridge_server_package = 'openstack-neutron-linuxbridge'
    $linuxbridge_config_file    = '/etc/neutron/plugins/linuxbridge/linuxbridge_conf.ini'

    $dhcp_agent_package = false
    $dhcp_agent_service = 'neutron-dhcp-agent'

    $dnsmasq_packages   = ['dnsmasq', 'dnsmasq-utils']

    $lbaas_agent_package = false
    $lbaas_agent_service = 'neutron-lbaas-agent'

    $haproxy_package   = 'haproxy'

    $l3_agent_package   = false
    $l3_agent_service   = 'neutron-l3-agent'

    $metadata_agent_service = 'neutron-metadata-agent'

    $cliff_package      = 'python-cliff'

    $kernel_headers     = "linux-headers-${::kernelrelease}"

  } elsif($::osfamily == 'Debian') {

    $package_name       = 'neutron-common'
    $server_package     = 'neutron-server'
    $server_service     = 'neutron-server'

    $ovs_agent_package   = 'neutron-plugin-openvswitch-agent'
    $ovs_agent_service   = 'neutron-plugin-openvswitch-agent'
    $ovs_server_package  = 'neutron-plugin-openvswitch'
    $ovs_cleanup_service = false

    $linuxbridge_agent_package  = 'neutron-plugin-linuxbridge-agent'
    $linuxbridge_agent_service  = 'neutron-plugin-linuxbridge-agent'
    $linuxbridge_server_package = 'neutron-plugin-linuxbridge'
    $linuxbridge_config_file    = '/etc/neutron/plugins/linuxbridge/linuxbridge_conf.ini'

    $dhcp_agent_package = 'neutron-dhcp-agent'
    $dhcp_agent_service = 'neutron-dhcp-agent'

    $lbaas_agent_package = 'neutron-lbaas-agent'
    $lbaas_agent_service = 'neutron-lbaas-agent'

    $haproxy_package   = 'haproxy'

    $metadata_agent_package = 'neutron-metadata-agent'
    $metadata_agent_service = 'neutron-metadata-agent'

    $dnsmasq_packages   = ['dnsmasq-base', 'dnsmasq-utils']

    $isc_dhcp_packages  = ['isc-dhcp-server']

    $l3_agent_package   = 'neutron-l3-agent'
    $l3_agent_service   = 'neutron-l3-agent'

    $cliff_package      = 'python-cliff'
    $kernel_headers     = "linux-headers-${::kernelrelease}"

  } else {

    fail("Unsupported osfamily ${::osfamily}")

  }
}
